#
# spec file for package perl-Text-SimpleTable-AutoWidth
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Text-SimpleTable-AutoWidth
Version:        0.09
Release:        1.20
%define cpan_name Text-SimpleTable-AutoWidth
Summary:        Text::SimpleTable::AutoWidth - Simple eyecandy ASCII tables with auto-wi[cut]
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/C/CU/CUB/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Moo)
BuildRequires:  perl(Text::SimpleTable)
Requires:       perl(Moo)
Requires:       perl(Text::SimpleTable)
%{perl_requires}

%description
Simple eyecandy ASCII tables with auto-selection columns width, as seen in
Catalyst.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc README
%license LICENSE

%changelog
* Thu Jan 21 2021 Frank Schreiner <FSchreiner@suse.com>
- initial package 0.09
  * created by cpanspec 1.80.01
